<template>
  <BoxTextComponent
    v-if="!title.IsHidden"
    :title="title.Text"
    :content="content"
    class="privacy"
  />
</template>
<script lang="ts">
import { computed, defineComponent } from "vue";
import BoxTextComponent from "./components/footerComponents/BoxText.client.vue";
import themePropertyHelper from "@/utils/themePropertyHelper";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";
import { store } from "@/store";

export default defineComponent({
  name: "PrivacyBMD1",
  components: { BoxTextComponent },
  setup() {
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const content = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "menu_content_3_1"
        )
    );
    const title = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "footer_menu_info_3"
        )
    );
    return {
      title,
      content,
    };
  },
});
</script>
<style lang="scss" scoped>
.privacy {
  :deep(p) {
    margin-bottom: 24px;
    font-size: 16px;
  }
  :deep(ul) {
    list-style: disc;
    margin-left: 20px;
  }
}
</style>
